*** ./graphs.c.osr6	Sat Feb 11 07:03:04 2006
--- ./graphs.c	Sun Feb 12 12:01:34 2006
***************
*** 71,77 ****
  FILE		*out;                      /* output file for PNG */
  char		maxvaltxt[32];             /* graph values        */
  float		percent;                   /* percent storage     */
! u_long		julday;                    /* julday value        */
  
  struct pie_data { int x; int y;            /* line x,y            */
                    int mx; int my; };       /* midpoint x,y        */
--- 71,77 ----
  FILE		*out;                      /* output file for PNG */
  char		maxvaltxt[32];             /* graph values        */
  float		percent;                   /* percent storage     */
! u_int64_t		julday;                    /* julday value        */
  
  struct pie_data { int x; int y;            /* line x,y            */
                    int mx; int my; };       /* midpoint x,y        */
***************
*** 88,106 ****
  int year_graph6x(  char *fname,            /* file name use      */
                     char *title,            /* title for graph    */
                      int fmonth,            /* begin month number */
!                  u_long data1[12],         /* data1 (hits)       */
!                  u_long data2[12],         /* data2 (files)      */
!                  u_long data3[12],         /* data3 (sites)      */
                   double data4[12],         /* data4 (kbytes)     */
!                  u_long data5[12],         /* data5 (views)      */
!                  u_long data6[12])         /* data6 (visits)     */
  {
  
     /* local variables */
     int i,j,x1,y1,x2;
     int s_mth;
  
!    u_long maxval=1;
     double fmaxval=0.0;
  
     /* initalize the graph */
--- 88,106 ----
  int year_graph6x(  char *fname,            /* file name use      */
                     char *title,            /* title for graph    */
                      int fmonth,            /* begin month number */
!                  u_int64_t data1[12],         /* data1 (hits)       */
!                  u_int64_t data2[12],         /* data2 (files)      */
!                  u_int64_t data3[12],         /* data3 (sites)      */
                   double data4[12],         /* data4 (kbytes)     */
!                  u_int64_t data5[12],         /* data5 (views)      */
!                  u_int64_t data6[12])         /* data6 (visits)     */
  {
  
     /* local variables */
     int i,j,x1,y1,x2;
     int s_mth;
  
!    u_int64_t maxval=1;
     double fmaxval=0.0;
  
     /* initalize the graph */
***************
*** 137,143 ****
        if (data5[i] > maxval) maxval = data5[i];
     }
     if (maxval <= 0) maxval = 1;
!    sprintf(maxvaltxt, "%lu", maxval);
     gdImageStringUp(im,gdFontSmall,8,26+(strlen(maxvaltxt)*6),maxvaltxt,black);
  
     if (graph_legend)                          /* print color coded legends? */
--- 137,143 ----
        if (data5[i] > maxval) maxval = data5[i];
     }
     if (maxval <= 0) maxval = 1;
!    sprintf(maxvaltxt, "%lld", maxval);
     gdImageStringUp(im,gdFontSmall,8,26+(strlen(maxvaltxt)*6),maxvaltxt,black);
  
     if (graph_legend)                          /* print color coded legends? */
***************
*** 221,227 ****
         if (data6[i] > maxval) maxval = data6[i];
     }
     if (maxval <= 0) maxval = 1;
!    sprintf(maxvaltxt, "%lu", maxval);
     gdImageStringUp(im, gdFontSmall,493,26+(strlen(maxvaltxt)*6),
                     maxvaltxt, black);
  
--- 221,227 ----
         if (data6[i] > maxval) maxval = data6[i];
     }
     if (maxval <= 0) maxval = 1;
!    sprintf(maxvaltxt, "%lld", maxval);
     gdImageStringUp(im, gdFontSmall,493,26+(strlen(maxvaltxt)*6),
                     maxvaltxt, black);
  
***************
*** 299,315 ****
                     char *title,            /* graph title        */
                      int month,             /* graph month        */
                      int year,              /* graph year         */
!                  u_long data1[31],         /* data1 (hits)       */
!                  u_long data2[31],         /* data2 (files)      */
!                  u_long data3[31],         /* data3 (sites)      */
                   double data4[31],         /* data4 (kbytes)     */
!                  u_long data5[31],         /* data5 (views)      */
!                  u_long data6[31])         /* data6 (visits)     */
  {
  
     /* local variables */
     int i,j,s,x1,y1,x2;
!    u_long maxval=0;
     double fmaxval=0.0;
  
     /* calc julian date for month */
--- 299,315 ----
                     char *title,            /* graph title        */
                      int month,             /* graph month        */
                      int year,              /* graph year         */
!                  u_int64_t data1[31],         /* data1 (hits)       */
!                  u_int64_t data2[31],         /* data2 (files)      */
!                  u_int64_t data3[31],         /* data3 (sites)      */
                   double data4[31],         /* data4 (kbytes)     */
!                  u_int64_t data5[31],         /* data5 (views)      */
!                  u_int64_t data6[31])         /* data6 (visits)     */
  {
  
     /* local variables */
     int i,j,s,x1,y1,x2;
!    u_int64_t maxval=0;
     double fmaxval=0.0;
  
     /* calc julian date for month */
***************
*** 354,360 ****
         if (data5[i] > maxval) maxval = data5[i];
     }
     if (maxval <= 0) maxval = 1;
!    sprintf(maxvaltxt, "%lu", maxval);
     gdImageStringUp(im, gdFontSmall,8,26+(strlen(maxvaltxt)*6),
                     maxvaltxt,black);
  
--- 354,360 ----
         if (data5[i] > maxval) maxval = data5[i];
     }
     if (maxval <= 0) maxval = 1;
!    sprintf(maxvaltxt, "%lld", maxval);
     gdImageStringUp(im, gdFontSmall,8,26+(strlen(maxvaltxt)*6),
                     maxvaltxt,black);
  
***************
*** 434,440 ****
        if (data6[i]>maxval) maxval = data6[i];
     }
     if (maxval <= 0) maxval = 1;
!    sprintf(maxvaltxt, "%lu", maxval);
     gdImageStringUp(im, gdFontSmall,8,180+(strlen(maxvaltxt)*6),
                     maxvaltxt, black);
     
--- 434,440 ----
        if (data6[i]>maxval) maxval = data6[i];
     }
     if (maxval <= 0) maxval = 1;
!    sprintf(maxvaltxt, "%lld", maxval);
     gdImageStringUp(im, gdFontSmall,8,180+(strlen(maxvaltxt)*6),
                     maxvaltxt, black);
     
***************
*** 502,515 ****
  
  int day_graph3(  char *fname,
                   char *title,
!                u_long data1[24],
!                u_long data2[24],
!                u_long data3[24])
  {
  
     /* local variables */
     int i,j,s,x1,y1,x2;
!    u_long maxval=0;
  
     /* initalize the graph */
     init_graph(title,512,256);
--- 502,515 ----
  
  int day_graph3(  char *fname,
                   char *title,
!                u_int64_t data1[24],
!                u_int64_t data2[24],
!                u_int64_t data3[24])
  {
  
     /* local variables */
     int i,j,s,x1,y1,x2;
!    u_int64_t maxval=0;
  
     /* initalize the graph */
     init_graph(title,512,256);
***************
*** 531,537 ****
        if (data3[i] > maxval) maxval = data3[i];
     }
     if (maxval <= 0) maxval = 1;
!    sprintf(maxvaltxt, "%lu", maxval);
     gdImageStringUp(im, gdFontSmall, 8, 26+(strlen(maxvaltxt)*6),
                     maxvaltxt, black);
     
--- 531,537 ----
        if (data3[i] > maxval) maxval = data3[i];
     }
     if (maxval <= 0) maxval = 1;
!    sprintf(maxvaltxt, "%lld", maxval);
     gdImageStringUp(im, gdFontSmall, 8, 26+(strlen(maxvaltxt)*6),
                     maxvaltxt, black);
     
***************
*** 607,614 ****
  /*                                                               */
  /*****************************************************************/
  
! int pie_chart(char *fname, char *title, u_long t_val,
!               u_long data1[], char *legend[])
  {
     int i,x,percent,y=47;
     double s_arc=0.0;
--- 607,614 ----
  /*                                                               */
  /*****************************************************************/
  
! int pie_chart(char *fname, char *title, u_int64_t t_val,
!               u_int64_t data1[], char *legend[])
  {
     int i,x,percent,y=47;
     double s_arc=0.0;
*** ./graphs.h.osr6	Thu Sep 28 20:50:30 2000
--- ./graphs.h	Sun Feb 12 12:01:34 2006
***************
*** 1,11 ****
  #ifndef _GRAPHS_H
  #define _GRAPHS_H
  
! extern int  month_graph6(char *, char *, int, int, u_long *,
!              u_long *, u_long *, double *, u_long *, u_long *);
  extern int  year_graph6x(char *, char *, int, 
!              u_long *, u_long *, u_long *, double *, u_long *, u_long *);
! extern int  day_graph3(char *, char *, u_long *, u_long *, u_long *);
! extern int  pie_chart(char *, char *, u_long, u_long *, char **);
  
  #endif  /* _GRAPHS_H */
--- 1,11 ----
  #ifndef _GRAPHS_H
  #define _GRAPHS_H
  
! extern int  month_graph6(char *, char *, int, int, u_int64_t *,
!              u_int64_t *, u_int64_t *, double *, u_int64_t *, u_int64_t *);
  extern int  year_graph6x(char *, char *, int, 
!              u_int64_t *, u_int64_t *, u_int64_t *, double *, u_int64_t *, u_int64_t *);
! extern int  day_graph3(char *, char *, u_int64_t *, u_int64_t *, u_int64_t *);
! extern int  pie_chart(char *, char *, u_int64_t, u_int64_t *, char **);
  
  #endif  /* _GRAPHS_H */
*** ./hashtab.c.osr6	Fri Jun 15 01:34:24 2001
--- ./hashtab.c	Sun Feb 12 12:01:34 2006
***************
*** 79,85 ****
  void     update_entry(char *);                /* update entry/exit        */
  void     update_exit(char *);                 /* page totals              */
  
! u_long   hash(char *);                        /* hash function            */
  
  /* local data */
  
--- 79,85 ----
  void     update_entry(char *);                /* update entry/exit        */
  void     update_exit(char *);                 /* page totals              */
  
! u_int64_t   hash(char *);                        /* hash function            */
  
  /* local data */
  
***************
*** 154,165 ****
  
  int put_hnode( char     *str,   /* Hostname  */
                 int       type,  /* obj type  */
!                u_long    count, /* hit count */
!                u_long    file,  /* File flag */
                 double    xfer,  /* xfer size */
!                u_long   *ctr,   /* counter   */
!                u_long    visit, /* visits    */
!                u_long    tstamp,/* timestamp */
                 char     *lasturl, /* lasturl */
                 HNODEPTR *htab)  /* ptr>next  */
  {
--- 154,165 ----
  
  int put_hnode( char     *str,   /* Hostname  */
                 int       type,  /* obj type  */
!                u_int64_t    count, /* hit count */
!                u_int64_t    file,  /* File flag */
                 double    xfer,  /* xfer size */
!                u_int64_t   *ctr,   /* counter   */
!                u_int64_t    visit, /* visits    */
!                u_int64_t    tstamp,/* timestamp */
                 char     *lasturl, /* lasturl */
                 HNODEPTR *htab)  /* ptr>next  */
  {
***************
*** 341,348 ****
  /* PUT_UNODE - insert/update URL node        */
  /*********************************************/
  
! int put_unode(char *str, int type, u_long count, double xfer,
!               u_long *ctr, u_long entry, u_long exit, UNODEPTR *htab)
  {
     UNODEPTR cptr,nptr;
  
--- 341,348 ----
  /* PUT_UNODE - insert/update URL node        */
  /*********************************************/
  
! int put_unode(char *str, int type, u_int64_t count, double xfer,
!               u_int64_t *ctr, u_int64_t entry, u_int64_t exit, UNODEPTR *htab)
  {
     UNODEPTR cptr,nptr;
  
***************
*** 468,474 ****
  /* PUT_RNODE - insert/update referrer node   */
  /*********************************************/
  
! int put_rnode(char *str, int type, u_long count, u_long *ctr, RNODEPTR *htab)
  {
     RNODEPTR cptr,nptr;
  
--- 468,474 ----
  /* PUT_RNODE - insert/update referrer node   */
  /*********************************************/
  
! int put_rnode(char *str, int type, u_int64_t count, u_int64_t *ctr, RNODEPTR *htab)
  {
     RNODEPTR cptr,nptr;
  
***************
*** 587,593 ****
  /* PUT_ANODE - insert/update user agent node */
  /*********************************************/
  
! int put_anode(char *str, int type, u_long count, u_long *ctr, ANODEPTR *htab)
  {
     ANODEPTR cptr,nptr;
  
--- 587,593 ----
  /* PUT_ANODE - insert/update user agent node */
  /*********************************************/
  
! int put_anode(char *str, int type, u_int64_t count, u_int64_t *ctr, ANODEPTR *htab)
  {
     ANODEPTR cptr,nptr;
  
***************
*** 702,708 ****
  /* PUT_SNODE - insert/update search str node */
  /*********************************************/
  
! int put_snode(char *str, u_long count, SNODEPTR *htab)
  {
     SNODEPTR cptr,nptr;
  
--- 702,708 ----
  /* PUT_SNODE - insert/update search str node */
  /*********************************************/
  
! int put_snode(char *str, u_int64_t count, SNODEPTR *htab)
  {
     SNODEPTR cptr,nptr;
  
***************
*** 810,821 ****
  
  int put_inode( char     *str,   /* ident str */
                 int       type,  /* obj type  */
!                u_long    count, /* hit count */
!                u_long    file,  /* File flag */
                 double    xfer,  /* xfer size */
!                u_long   *ctr,   /* counter   */
!                u_long    visit, /* visits    */
!                u_long    tstamp,/* timestamp */
                 INODEPTR *htab)  /* hashtable */
  {
     INODEPTR cptr,nptr;
--- 810,821 ----
  
  int put_inode( char     *str,   /* ident str */
                 int       type,  /* obj type  */
!                u_int64_t    count, /* hit count */
!                u_int64_t    file,  /* File flag */
                 double    xfer,  /* xfer size */
!                u_int64_t   *ctr,   /* counter   */
!                u_int64_t    visit, /* visits    */
!                u_int64_t    tstamp,/* timestamp */
                 INODEPTR *htab)  /* hashtable */
  {
     INODEPTR cptr,nptr;
***************
*** 1047,1055 ****
  /* HASH - return hash value for string       */
  /*********************************************/
  
! u_long hash(char *str)
  {
!    u_long hashval;
     for (hashval = 0; *str != '\0'; str++)
        hashval = *str + 31 * hashval;
     return hashval % MAXHASH;
--- 1047,1055 ----
  /* HASH - return hash value for string       */
  /*********************************************/
  
! u_int64_t hash(char *str)
  {
!    u_int64_t hashval;
     for (hashval = 0; *str != '\0'; str++)
        hashval = *str + 31 * hashval;
     return hashval % MAXHASH;
***************
*** 1133,1139 ****
  /* MONTH_UPDATE_EXIT  - eom exit page update */
  /*********************************************/
  
! void month_update_exit(u_long tstamp)
  {
     HNODEPTR nptr;
     int i;
--- 1133,1139 ----
  /* MONTH_UPDATE_EXIT  - eom exit page update */
  /*********************************************/
  
! void month_update_exit(u_int64_t tstamp)
  {
     HNODEPTR nptr;
     int i;
***************
*** 1157,1166 ****
  /* TOT_VISIT - calculate total visits        */
  /*********************************************/
  
! u_long tot_visit(HNODEPTR *list)
  {
     HNODEPTR   hptr;
!    u_long     tot=0;
     int        i;
  
     for (i=0;i<MAXHASH;i++)
--- 1157,1166 ----
  /* TOT_VISIT - calculate total visits        */
  /*********************************************/
  
! u_int64_t tot_visit(HNODEPTR *list)
  {
     HNODEPTR   hptr;
!    u_int64_t     tot=0;
     int        i;
  
     for (i=0;i<MAXHASH;i++)
*** ./hashtab.h.osr6	Thu Sep 28 20:50:30 2000
--- ./hashtab.h	Sun Feb 12 12:01:34 2006
***************
*** 25,67 ****
  
  struct hnode {  char *string;              /* host hash table structure    */
                   int flag;
!               u_long count;
!               u_long files;
!               u_long visit;                /* visit information            */
!               u_long tstamp;
                  char *lasturl;
                double xfer;
                struct hnode *next; };
  
  struct unode {  char *string;              /* url hash table structure     */
                   int flag;                 /* Object type (REG, HIDE, GRP) */
!               u_long count;                /* requests counter             */
!               u_long files;                /* files counter                */
!               u_long entry;                /* entry page counter           */
!               u_long exit;                 /* exit page counter            */
                double xfer;                 /* xfer size in bytes           */
                struct unode *next; };       /* pointer to next node         */
  
  struct rnode {  char *string;              /* referrer hash table struct   */
                   int flag;
!               u_long count;
                struct rnode *next; };
  
  struct anode {  char *string;
                   int flag;
!               u_long count;
                struct anode *next; };
  
  struct snode {  char *string;                 /* search string struct      */
!               u_long count;
                struct snode *next; };
  
  struct inode {  char *string;                 /* host hash table struct    */
                   int flag;
!               u_long count;
!               u_long files;
!               u_long visit;
!               u_long tstamp;
                double xfer;
                struct inode *next; };
  
--- 25,67 ----
  
  struct hnode {  char *string;              /* host hash table structure    */
                   int flag;
!               u_int64_t count;
!               u_int64_t files;
!               u_int64_t visit;                /* visit information            */
!               u_int64_t tstamp;
                  char *lasturl;
                double xfer;
                struct hnode *next; };
  
  struct unode {  char *string;              /* url hash table structure     */
                   int flag;                 /* Object type (REG, HIDE, GRP) */
!               u_int64_t count;                /* requests counter             */
!               u_int64_t files;                /* files counter                */
!               u_int64_t entry;                /* entry page counter           */
!               u_int64_t exit;                 /* exit page counter            */
                double xfer;                 /* xfer size in bytes           */
                struct unode *next; };       /* pointer to next node         */
  
  struct rnode {  char *string;              /* referrer hash table struct   */
                   int flag;
!               u_int64_t count;
                struct rnode *next; };
  
  struct anode {  char *string;
                   int flag;
!               u_int64_t count;
                struct anode *next; };
  
  struct snode {  char *string;                 /* search string struct      */
!               u_int64_t count;
                struct snode *next; };
  
  struct inode {  char *string;                 /* host hash table struct    */
                   int flag;
!               u_int64_t count;
!               u_int64_t files;
!               u_int64_t visit;
!               u_int64_t tstamp;
                double xfer;
                struct inode *next; };
  
***************
*** 76,90 ****
  extern DNODEPTR host_table[MAXHASH];          /* DNS resolver table        */
  #endif
  
! extern int    put_hnode(char *, int, u_long, u_long, double, u_long *,
!                         u_long, u_long, char *, HNODEPTR *);
! extern int    put_unode(char *, int, u_long, double, u_long *,
!                         u_long, u_long, UNODEPTR *);
! extern int    put_inode(char *, int, u_long, u_long, double, u_long *,
!                         u_long, u_long, INODEPTR *);
! extern int    put_rnode(char *, int, u_long, u_long *, RNODEPTR *);
! extern int    put_anode(char *, int, u_long, u_long *, ANODEPTR *);
! extern int    put_snode(char *, u_long, SNODEPTR *);
  
  #ifdef USE_DNS
  extern int    put_dnode(char *, struct in_addr *, DNODEPTR *);
--- 76,90 ----
  extern DNODEPTR host_table[MAXHASH];          /* DNS resolver table        */
  #endif
  
! extern int    put_hnode(char *, int, u_int64_t, u_int64_t, double, u_int64_t *,
!                         u_int64_t, u_int64_t, char *, HNODEPTR *);
! extern int    put_unode(char *, int, u_int64_t, double, u_int64_t *,
!                         u_int64_t, u_int64_t, UNODEPTR *);
! extern int    put_inode(char *, int, u_int64_t, u_int64_t, double, u_int64_t *,
!                         u_int64_t, u_int64_t, INODEPTR *);
! extern int    put_rnode(char *, int, u_int64_t, u_int64_t *, RNODEPTR *);
! extern int    put_anode(char *, int, u_int64_t, u_int64_t *, ANODEPTR *);
! extern int    put_snode(char *, u_int64_t, SNODEPTR *);
  
  #ifdef USE_DNS
  extern int    put_dnode(char *, struct in_addr *, DNODEPTR *);
***************
*** 99,106 ****
  extern void   del_slist(SNODEPTR *);          /* delete host htab          */
  extern void   del_ilist(INODEPTR *);          /* delete host htab          */
  
! extern void   month_update_exit(u_long);
! extern u_long tot_visit(HNODEPTR *);
  extern char   *find_url(char *);
  
  #endif  /* _HASHTAB_H */
--- 99,106 ----
  extern void   del_slist(SNODEPTR *);          /* delete host htab          */
  extern void   del_ilist(INODEPTR *);          /* delete host htab          */
  
! extern void   month_update_exit(u_int64_t);
! extern u_int64_t tot_visit(HNODEPTR *);
  extern char   *find_url(char *);
  
  #endif  /* _HASHTAB_H */
